          COMPLEX*16     FUNCTION ZLADIV( X, Y )
    *
    *  -- LAPACK auxiliary routine (version 3.1) --
    *     Univ. of Tennessee, Univ. of California Berkeley and NAG Ltd..
    *     November 2006
    *
    *     .. Scalar Arguments ..
          COMPLEX*16         X, Y
    *     ..
    *
    *  Purpose
    *  =======
    *
    *  ZLADIV := X / Y, where X and Y are complex.  The computation of X / Y
    *  will not overflow on an intermediary step unless the results
    *  overflows.
    *
    *  Arguments
    *  =========
    *
    *  X       (input) COMPLEX*16
    *  Y       (input) COMPLEX*16
    *          The complex scalars X and Y.
    *
    *  =====================================================================
    *
    *     .. Local Scalars ..
          DOUBLE PRECISION   ZI, ZR
    *     ..
    *     .. External Subroutines ..
          EXTERNAL           DLADIV
    *     ..
    *     .. Intrinsic Functions ..
          INTRINSIC          DBLE, DCMPLX, DIMAG
    *     ..
    *     .. Executable Statements ..
    *
          CALL DLADIV( DBLE( X ), DIMAG( X ), DBLE( Y ), DIMAG( Y ), ZR,
         $             ZI )
          ZLADIV = DCMPLX( ZR, ZI )
    *
          RETURN
    *
    *     End of ZLADIV
    *
          END